volumes:
  postgres_data:

services:
  db:
    image: postgres:17.4
    container_name: casino-db
    restart: unless-stopped
    volumes:
      - postgres_data:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: postgresdb
      POSTGRES_USER: postgres_user
      POSTGRES_PASSWORD: postgres_pass
    healthcheck:
      test: "exit 0"
    ports:
      - "5432:5432"
  mailpit:
    image: axllent/mailpit
    container_name: casino-mailpit
    restart: unless-stopped
    ports:
      - 8025:8025
      - 1025:1025
    environment:
      MP_SMTP_AUTH_ACCEPT_ANY: 1
      MP_SMTP_AUTH_ALLOW_INSECURE: 1
